Show / Hide Table of Contents

# Delegate PluginManager.PluginDisableDelegate

An invoker for the PluginDisabled event.

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate void PluginDisableDelegate(PluginLoader.PluginMetadata plugin, bool needsRestart);

##### Parameters

Type | Name | Description
--- | --- | ---
PluginLoader.PluginMetadata | plugin | the plugin that was disabled
Boolean | needsRestart | whether it needs a restart to take effect

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])